petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscObjectDestroyOptionsHandlers

Destroys all the option handlers attached to an object

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectDestroyOptionsHandlers(PetscObject obj)

Not Collective

### Input Parameter

obj -the PETSc object

### See Also

KSPSetFromOptions(), PCSetFromOptions(), SNESSetFromOptions(), PetscObjectAddOptionsHandler(), PetscObjectProcessOptionsHandlers()

### Level

developer

### Location

src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages